Functions
Functions
Peripheral Driver » LL Driver » DDVS

## Functions
__STATIC_INLINE void | ll_ddvs_enable_set (uint8_t enable)
| DDVS enable state set. More...
__STATIC_INLINE uint8_t | ll_ddvs_enable_get (void)
| DDVS enable state get. More...
__STATIC_INLINE void | ll_ddvs_mode_set (uint8_t mode)
| DDVS mode set 0b - DDVS automatic mode (default) 1b - DDVS manual mode Register|BitsName --------|-------- DDVS_CFG_1 | CONF_DDVS_MODE. More...
__STATIC_INLINE uint8_t | ll_ddvs_mode_get (void)
| DDVS mode get 0b - DDVS automatic mode (default) 1b - DDVS manual mode Register|BitsName --------|-------- DDVS_CFG_1 | CONF_DDVS_MODE. More...
__STATIC_INLINE void | ll_ddvs_slow_threshold_set (uint16_t threshold)
| DDVS Slow threshold(limit for ringo goes bigger) set This is the limitation of ringo being bigger than target_cnt Register|BitsName --------|-------- DDVS_CFG_1 | CONF_THRESHOLD_SLOW. More...
__STATIC_INLINE uint16_t | ll_ddvs_slow_threshold_get (void)
| DDVS Slow threshold(limit for ringo goes bigger) get This is the limitation of ringo being bigger than target_cnt Register|BitsName --------|-------- DDVS_CFG_1 | CONF_THRESHOLD_SLOW. More...
__STATIC_INLINE void | ll_ddvs_target_cnt_set (uint16_t target_cnt)
| DDVS Target count set. More...
__STATIC_INLINE uint16_t | ll_ddvs_target_cnt_get (void)
| DDVS Target count get. More...
__STATIC_INLINE void | ll_ddvs_fast_threshold_set (uint16_t threshold)
| DDVS Fast threshold set This is the limitation of ringo being smaller than target_cnt Register|BitsName --------|-------- DDVS_CFG_2 | CONF_THRESHOLD_FAST. More...
__STATIC_INLINE uint16_t | ll_ddvs_fast_threshold_get (void)
| DDVS Fast threshold get This is the limitation of ringo being smaller than target_cnt Register|BitsName --------|-------- DDVS_CFG_2 | CONF_THRESHOLD_FAST. More...
__STATIC_INLINE void | ll_ddvs_err_int_enable (void)
| DDVS Error interrupt enable. More...
__STATIC_INLINE void | ll_ddvs_err_int_disable (void)
| DDVS Error interrupt disable. More...
__STATIC_INLINE void | ll_ddvs_err_int_clear (void)
| DDVS Error interrupt clear From Spec, the ddvs mode shall set to manual mode before clear the interrupt When the error happens, it means the target_cnt shall be increased Register|BitsName --------|-------- DDVS_CFG_1 | ERR_INT. More...
__STATIC_INLINE void | ll_ddvs_manual_vref_set (uint8_t vref)
| DDVS Manual vref set. More...
__STATIC_INLINE uint8_t | ll_ddvs_manual_vref_get (void)
| DDVS Manual vref get. More...
__STATIC_INLINE void | ll_ddvs_ringo_en_set (uint8_t ringo_bits)
| DDVS Ringo enable set 0000b - disable all 4 ringos (default) 0001b~1111b - enable corresponding ringos Register|BitsName --------|-------- DDVS_CFG_1 | CONF_RINGO_EN. More...
__STATIC_INLINE uint8_t | ll_ddvs_ringo_en_get (void)
| DDVS Ringo enable get 0000b - disable all 4 ringos (default) 0001b~1111b - enable corresponding ringos Register|BitsName --------|-------- DDVS_CFG_1 | CONF_RINGO_EN. More...
__STATIC_INLINE void | ll_ddvs_div_factor_set (uint8_t factor)
| DDVS Ringo frequency divide factor set 00b - 8K (default) 01b - 4K 10b - 16K 11b - Reserved Register|BitsName --------|-------- DDVS_CFG_1 | CONF_DIV_FACTOR. More...
__STATIC_INLINE uint8_t | ll_ddvs_div_factor_get (void)
| DDVS Ringo frequency divide factor get 00b - 8K (default) 01b - 4K 10b - 16K 11b - Reserved Register|BitsName --------|-------- DDVS_CFG_1 | CONF_DIV_FACTOR. More...
__STATIC_INLINE uint16_t | ll_ddvs_ringo_0_cnt_get (void)
| DDVS Ringo_0 count get Register|BitsName --------|-------- DDVS_RINGO_CNT_01 | RINGO_0_CNT. More...
__STATIC_INLINE uint16_t | ll_ddvs_ringo_1_cnt_get (void)
| DDVS Ringo_1 count get Register|BitsName --------|-------- DDVS_RINGO_CNT_01 | RINGO_1_CNT. More...
__STATIC_INLINE uint16_t | ll_ddvs_ringo_2_cnt_get (void)
| DDVS Ringo_2 count get Register|BitsName --------|-------- DDVS_RINGO_CNT_23 | RINGO_2_CNT. More...
__STATIC_INLINE uint16_t | ll_ddvs_ringo_3_cnt_get (void)
| DDVS Ringo_3 count get Register|BitsName --------|-------- DDVS_RINGO_CNT_23 | RINGO_3_CNT. More...
__STATIC_INLINE uint8_t | ll_ddvs_fsm_state_get (void)
| DDVS FSM state get Register|BitsName --------|-------- DDVS_FSM | STS_FSM_CURR. More...
__STATIC_INLINE void | ll_ddvs_clk_enable_set (uint8_t enable)
| DDVS Clock enable set Register|BitsName --------|-------- DDVS_CLK_CTRL | DDVS_CLK_EN. More...
__STATIC_INLINE uint8_t | ll_ddvs_clk_enable_get (void)
| DDVS Clock enable get Register|BitsName --------|-------- DDVS_CLK_CTRL | DDVS_CLK_EN. More...
__STATIC_INLINE void | ll_ddvs_clk_sel_set (uint8_t clk_sel)
| DDVS Clock selection set 0: xo_32MHz(default), 1: xo_16MHz, 2: sys_32MHz, 3: sys_16MHz Register|BitsName --------|-------- DDVS_CLK_CTRL | CONF_RINGO_EN. More...
__STATIC_INLINE uint8_t | ll_ddvs_clk_sel_get (void)
| DDVS Clock selection get 0: xo_32MHz(default), 1: xo_16MHz, 2: sys_32MHz, 3: sys_16MHz Register|BitsName --------|-------- DDVS_CLK_CTRL | CONF_RINGO_EN. More...

## Detailed Description

## Function Documentation

## ◆ ll_ddvs_clk_enable_get()

__STATIC_INLINE uint8_t ll_ddvs_clk_enable_get | ( | void |  | ) |

DDVS Clock enable get Register|BitsName --------|-------- DDVS_CLK_CTRL | DDVS_CLK_EN.

Definition at line 432 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_clk_enable_set()

__STATIC_INLINE void ll_ddvs_clk_enable_set | ( | uint8_t | enable | ) |

DDVS Clock enable set Register|BitsName --------|-------- DDVS_CLK_CTRL | DDVS_CLK_EN.

Definition at line 421 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_clk_sel_get()

__STATIC_INLINE uint8_t ll_ddvs_clk_sel_get | ( | void |  | ) |

DDVS Clock selection get 0: xo_32MHz(default), 1: xo_16MHz, 2: sys_32MHz, 3: sys_16MHz Register|BitsName --------|-------- DDVS_CLK_CTRL | CONF_RINGO_EN.

Definition at line 456 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_clk_sel_set()

__STATIC_INLINE void ll_ddvs_clk_sel_set | ( | uint8_t | clk_sel | ) |

DDVS Clock selection set 0: xo_32MHz(default), 1: xo_16MHz, 2: sys_32MHz, 3: sys_16MHz Register|BitsName --------|-------- DDVS_CLK_CTRL | CONF_RINGO_EN.

Definition at line 444 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_div_factor_get()

__STATIC_INLINE uint8_t ll_ddvs_div_factor_get | ( | void |  | ) |

DDVS Ringo frequency divide factor get 00b - 8K (default) 01b - 4K 10b - 16K 11b - Reserved Register|BitsName --------|-------- DDVS_CFG_1 | CONF_DIV_FACTOR.

Definition at line 355 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_div_factor_set()

__STATIC_INLINE void ll_ddvs_div_factor_set | ( | uint8_t | factor | ) |

DDVS Ringo frequency divide factor set 00b - 8K (default) 01b - 4K 10b - 16K 11b - Reserved Register|BitsName --------|-------- DDVS_CFG_1 | CONF_DIV_FACTOR.

Definition at line 340 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_enable_get()

__STATIC_INLINE uint8_t ll_ddvs_enable_get | ( | void |  | ) |

DDVS enable state get.

Register|BitsName --------|-------- DDVS_EN | CONF_DDVS_EN

Definition at line 139 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_enable_set()

__STATIC_INLINE void ll_ddvs_enable_set | ( | uint8_t | enable | ) |

DDVS enable state set.

Register|BitsName --------|-------- DDVS_EN | CONF_DDVS_EN

Definition at line 127 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_err_int_clear()

__STATIC_INLINE void ll_ddvs_err_int_clear | ( | void |  | ) |

DDVS Error interrupt clear From Spec, the ddvs mode shall set to manual mode before clear the interrupt When the error happens, it means the target_cnt shall be increased Register|BitsName --------|-------- DDVS_CFG_1 | ERR_INT.

Definition at line 274 of file gr55xx_ll_ddvs.h.

References LL_DDVS_MALNUAL_MODE.

## ◆ ll_ddvs_err_int_disable()

__STATIC_INLINE void ll_ddvs_err_int_disable | ( | void |  | ) |

DDVS Error interrupt disable.

Register|BitsName --------|-------- DDVS_CFG_1 | ERR_INT

Definition at line 261 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_err_int_enable()

__STATIC_INLINE void ll_ddvs_err_int_enable | ( | void |  | ) |

DDVS Error interrupt enable.

Register|BitsName --------|-------- DDVS_CFG_1 | ERR_INT

Definition at line 249 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_fast_threshold_get()

__STATIC_INLINE uint16_t ll_ddvs_fast_threshold_get | ( | void |  | ) |

DDVS Fast threshold get This is the limitation of ringo being smaller than target_cnt Register|BitsName --------|-------- DDVS_CFG_2 | CONF_THRESHOLD_FAST.

Definition at line 237 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_fast_threshold_set()

__STATIC_INLINE void ll_ddvs_fast_threshold_set | ( | uint16_t | threshold | ) |

DDVS Fast threshold set This is the limitation of ringo being smaller than target_cnt Register|BitsName --------|-------- DDVS_CFG_2 | CONF_THRESHOLD_FAST.

Definition at line 225 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_fsm_state_get()

__STATIC_INLINE uint8_t ll_ddvs_fsm_state_get | ( | void |  | ) |

DDVS FSM state get Register|BitsName --------|-------- DDVS_FSM | STS_FSM_CURR.

Definition at line 410 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_manual_vref_get()

__STATIC_INLINE uint8_t ll_ddvs_manual_vref_get | ( | void |  | ) |

DDVS Manual vref get.

Register|BitsName --------|-------- DDVS_CFG_1 | CONF_VREF_MANUAL

Definition at line 299 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_manual_vref_set()

__STATIC_INLINE void ll_ddvs_manual_vref_set | ( | uint8_t | vref | ) |

DDVS Manual vref set.

Register|BitsName --------|-------- DDVS_CFG_1 | CONF_VREF_MANUAL

Definition at line 287 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_mode_get()

__STATIC_INLINE uint8_t ll_ddvs_mode_get | ( | void |  | ) |

DDVS mode get 0b - DDVS automatic mode (default) 1b - DDVS manual mode Register|BitsName --------|-------- DDVS_CFG_1 | CONF_DDVS_MODE.

Definition at line 165 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_mode_set()

__STATIC_INLINE void ll_ddvs_mode_set | ( | uint8_t | mode | ) |

DDVS mode set 0b - DDVS automatic mode (default) 1b - DDVS manual mode Register|BitsName --------|-------- DDVS_CFG_1 | CONF_DDVS_MODE.

Definition at line 152 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_ringo_0_cnt_get()

__STATIC_INLINE uint16_t ll_ddvs_ringo_0_cnt_get | ( | void |  | ) |

DDVS Ringo_0 count get Register|BitsName --------|-------- DDVS_RINGO_CNT_01 | RINGO_0_CNT.

Definition at line 366 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_ringo_1_cnt_get()

__STATIC_INLINE uint16_t ll_ddvs_ringo_1_cnt_get | ( | void |  | ) |

DDVS Ringo_1 count get Register|BitsName --------|-------- DDVS_RINGO_CNT_01 | RINGO_1_CNT.

Definition at line 377 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_ringo_2_cnt_get()

__STATIC_INLINE uint16_t ll_ddvs_ringo_2_cnt_get | ( | void |  | ) |

DDVS Ringo_2 count get Register|BitsName --------|-------- DDVS_RINGO_CNT_23 | RINGO_2_CNT.

Definition at line 388 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_ringo_3_cnt_get()

__STATIC_INLINE uint16_t ll_ddvs_ringo_3_cnt_get | ( | void |  | ) |

DDVS Ringo_3 count get Register|BitsName --------|-------- DDVS_RINGO_CNT_23 | RINGO_3_CNT.

Definition at line 399 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_ringo_en_get()

__STATIC_INLINE uint8_t ll_ddvs_ringo_en_get | ( | void |  | ) |

DDVS Ringo enable get 0000b - disable all 4 ringos (default) 0001b~1111b - enable corresponding ringos Register|BitsName --------|-------- DDVS_CFG_1 | CONF_RINGO_EN.

Definition at line 325 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_ringo_en_set()

__STATIC_INLINE void ll_ddvs_ringo_en_set | ( | uint8_t | ringo_bits | ) |

DDVS Ringo enable set 0000b - disable all 4 ringos (default) 0001b~1111b - enable corresponding ringos Register|BitsName --------|-------- DDVS_CFG_1 | CONF_RINGO_EN.

Definition at line 312 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_slow_threshold_get()

__STATIC_INLINE uint16_t ll_ddvs_slow_threshold_get | ( | void |  | ) |

DDVS Slow threshold(limit for ringo goes bigger) get This is the limitation of ringo being bigger than target_cnt Register|BitsName --------|-------- DDVS_CFG_1 | CONF_THRESHOLD_SLOW.

Definition at line 189 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_slow_threshold_set()

__STATIC_INLINE void ll_ddvs_slow_threshold_set | ( | uint16_t | threshold | ) |

DDVS Slow threshold(limit for ringo goes bigger) set This is the limitation of ringo being bigger than target_cnt Register|BitsName --------|-------- DDVS_CFG_1 | CONF_THRESHOLD_SLOW.

Definition at line 177 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_target_cnt_get()

__STATIC_INLINE uint16_t ll_ddvs_target_cnt_get | ( | void |  | ) |

DDVS Target count get.

Register|BitsName --------|-------- DDVS_CFG_2 | CONF_TARGET_CNT

Definition at line 213 of file gr55xx_ll_ddvs.h.

## ◆ ll_ddvs_target_cnt_set()

__STATIC_INLINE void ll_ddvs_target_cnt_set | ( | uint16_t | target_cnt | ) |

DDVS Target count set.

Register|BitsName --------|-------- DDVS_CFG_2 | CONF_TARGET_CNT

Definition at line 201 of file gr55xx_ll_ddvs.h.